local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS

PrefabFiles = {
	"soldier",
	"soldierhelmet",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/soldier.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/soldier.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/soldier.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/soldier.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/soldier_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/soldier_silho.xml" ),

    Asset( "IMAGE", "bigportraits/soldier.tex" ),
    Asset( "ATLAS", "bigportraits/soldier.xml" ),

	Asset("IMAGE", "images/soldiermini.tex"),
	Asset("ATLAS", "images/soldiermini.xml"),

}

AddMinimapAtlas("images/soldiermini.xml")


--function sHat(player)
  --  local soldierhatRecipe = GLOBAL.Recipe("soldierhelmet", {Ingredient("footballhat", 1), Ingredient("gears", 3), Ingredient("goldnugget", 1)}, RECIPETABS.WAR, {SCIENCE =0} )
	--soldierhatRecipe.atlas = "images/inventoryimages/soldierhelmet.xml"
--end


GLOBAL.STRINGS.NAMES.SOLDIERHELMET = "Soldier Helmet"
GLOBAL.STRINGS.RECIPE_DESC.SOLDIERHELMET = "Ten hut!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SOLDIERHELMET = "Ten hut!"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.SOLDIERHELMET = "I really don't feel up to joining the army."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.SOLDIERHELMET = "I am mightiest soldier!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.SOLDIERHELMET = "A soldier deals and sees many sorrows and death."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.SOLDIERHELMET = "PROTECTIVE MILITARY HEADGEAR"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.SOLDIERHELMET = "Protective headgear issued to soldiers."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.SOLDIERHELMET = "I hate war."
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.SOLDIERHELMET = "I don't really have any opinion on war."

AddSimPostInit(function(inst)
        if inst.prefab == "wathgrithr" then
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.SOLDIERHELMET = "Tis not the battle helm of my preference, but it will do the trick."
elseif inst.prefab == "webber" then
STRINGS.CHARACTERS.WEBBER.DESCRIBE.SOLDIERHELMET = "We are too young for the army!"
elseif inst.prefab == "sniper" then
STRINGS.CHARACTERS.SNIPER.DESCRIBE.SOLDIERHELMET = "It makes a good bowl for Soldier's brains."
elseif  inst.prefab == "peacock" then
STRINGS.CHARACTERS.PEACOCK.DESCRIBE.SOLDIERHELMET = "Now I actualy miss the Black Egrets and that stupid princess."
elseif inst.prefab == "soldier" then
STRINGS.CHARACTERS.SOLDIER.DESCRIBE.SOLDIERHELMET = "The great thing about this helmet is\nthat it stops bullets (no it doesn't)! Look\n at it - it's made of robot metal! Bullets\ncan't go through robot metal (they\ndefinitly can)! There really is no way\nyou could be harmed while wearing this\nhelmet (there absolutley is)."
elseif inst.prefab == "tina" then
STRINGS.CHARACTERS.TINA.DESCRIBE.SOLDIERHELMET = "I am the defender of Blowupyourfaceheim!"
elseif inst.prefab == "jackd" then
STRINGS.CHARACTERS.JACKD.DESCRIBE.SOLDIERHELMET = "All the soldiers I'll have..."
elseif inst.prefab == "wilhelm" then
STRINGS.CHARACTERS.WILHELM.DESCRIBE.SOLDIERHELMET = "I'd be glad to join the Hyperion Army!"
elseif inst.prefab == "hatkid" then
STRINGS.CHARACTERS.HATKID.DESCRIBE.SOLDIERHELMET = "..."
elseif inst.prefab == "jenny" then
STRINGS.CHARACTERS.JENNY.DESCRIBE.SOLDIERHELMET = "I am my own army!"
elseif inst.prefab == "edison" then
STRINGS.CHARACTERS.EDISON.DESCRIBE.SOLDIERHELMET = "Hardly anyone joins the Silicon Army these days..."
elseif inst.prefab == "wcobb" then
STRINGS.CHARACTERS.WCOBB.DESCRIBE.SOLDIERHELMET = "I knew it! You're the Kaiser!"
elseif inst.prefab == "lycoris" then
STRINGS.CHARACTERS.LYCORIS.DESCRIBE.SOLDIERHELMET = "I was made to fight, to be a super soldier! I hate it!"
elseif inst.prefab == "irisrg" then
STRINGS.CHARACTERS.IRISRG.DESCRIBE.SOLDIERHELMET = "You think I'd do well in the army?"
elseif inst.prefab == "madmax" then
STRINGS.CHARACTERS.MADMAX.DESCRIBE.SOLDIERHELMET = "This is some tough iron to protect my head with."
        end
end)


-- strings! Any "soldier" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.soldier = "The Soldier"
GLOBAL.STRINGS.CHARACTER_NAMES.soldier = "Jane Doe"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.soldier = "*Tough as nails\n*Wears a helmet for protection\n*Is a bit slow"
GLOBAL.STRINGS.CHARACTER_QUOTES.soldier = "\"I'm the Rocket Man.\""
--STRINGS.CHARACTERS.soldier=require "speech_soldier"


-- Let the game know sniper is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "soldier")






AddModCharacter("soldier", "MALE")
AddPrefabPostInit('soldierhelmet')
--AddSimPostInit(sHat)

